//exporting interface
export interface Employee {
    name: string;
    dept: string;
}

//exporting constant
export const MAX_TASKS: number = 3;

//default export
export default function printDescription() {
    console.log("this is running in a default function");
}

//class without export - will include in export clause below
class Task<T> {
    constructor(private _param: T) {
    }

    run(): void {
        console.log("task running: " + this._param);
    }
}

//enum without export - will include in export clause below
enum HorizontalAlign { LEFT, CENTER, RIGHT }

//export clause
export { HorizontalAlign as Align, Task }


//re-exporting module lib.mjs
export { PersonDetails as PersonType, num as NumType } from "./lib.js";